
QGIS Application - Bug report #17176

Double WFS node in browser panel

2017-09-21 03:59 PM - Richard Duivenvoorde

Status: Closed

Priority: High

Assignee:

Category: Browser

Affected QGIS version:master Regression?: Yes

Operating System: Debian Testing, Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25075

Description

In current master my browser panel shows 2 WFS nodes (see screendump)

Even if I start QGIS in a clean/new profile like:

qgis --profiles-path /tmp/foo

Both in Browser Panel AND in Browser Panel (2)

Observed both in Windows and Linux

Associated revisions

Revision 8d6f4467 - 2017-10-03 09:12 AM - Nyall Dawson

Fix duplicate WFS item in browser (fixes #17176)

History

#1 - 2017-09-21 04:06 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

#2 - 2017-09-22 12:54 AM - Nyall Dawson

Is this a custom build? If so, does it help if you totally remove your build folder and rebuild?

#3 - 2017-09-22 02:00 AM - Nyall Dawson

Actually I can reproduce here too

#4 - 2017-09-22 10:25 AM - Richard Duivenvoorde

@Nyall, it was indeed a custom build, but it was also visible on a Osgeo4W weekly.

Just did a fresh rebuild + install, and still there.
#5 - 2017-10-03 09:12 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|8d6f4467a2baa6e8af7b5cab895a9d00c7c205ca.
